Subject: bug#58100: closed (Re: bug#58100: cbqn currently targets AVX2)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Nov 2022 21:04:02 +0000

Your bug report

#58100: cbqn currently targets AVX2

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58100: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58100
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58100: cbqn currently targets AVX2
From: Liliana Marie Prikler <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Christopher Rodriguez <[email-masked]>, [email-masked]
Date: Mon, 07 Nov 2022 22:03:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Montag, dem 07.11.2022 um 14:35 +0100 schrieb Ludovic Courtès:
> Hi,
> 
> Liliana Marie Prikler <[email-masked]> skribis:
> 
> > Am Sonntag, dem 06.11.2022 um 18:39 +0100 schrieb Ludovic Courtès:
> > > Hi Liliana,
> > > 
> > > Liliana Marie Prikler <[email-masked]> skribis:
> > > 
> > > > * gnu/packages/bqn.scm (cbqn)[inputs]: Remove singeli-sources.
> > > > [arguments]<#:make-flags: Replace “o3n-singeli” with “o3”.
> > > > <#:phases>: Remove “link-singeli”.
> > > 
> > > This series of patches that you sent LGTM!
> > > 
> > > However, how does it relate to AVX2-specific builds?  
> > IIUC, singeli is some tool that emits avx2-specific opcodes and the
> > singeli builds of cbqn use that somehw; I admit, I do not
> > completely understand what's going on on their side.
> 
> Oh, I see.
> 
> > > Anyhow, as you suggested in the thread, it’d be a good idea to
> > > add a ‘tunable?’ property.
> > Will simply adding (tunable? . #t) as a property be enough?  Also
> > related to the signeli thing, do we have the means to create
> > special build flows for tuned packages?
> 
> Yes, ci.guix builds tunable packages for several x86_64 ISA variants,
> which are listed in (gnu ci).
Done and pushed.

Cheers

Subject: cbqn currently targets AVX2
From: Christopher Rodriguez <[email-masked]>
To: [email-masked]
Date: Mon, 26 Sep 2022 15:03:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey All,

Came to my attention today that cbqn (which I recently submitted the
package for) was assuming a CPU with AVX2 extensions when built as I had
originally packaged it.

I have a patch to fix this; cbqn now will target a generic CPU, and the
AVX2 optimizations have been moved to their own package, cbqn-singeli.

Let me know what I can improve!

-- 
Christopher Rodriguez
()  ascii ribbon campaign - against html e-mail
/\  www.asciiribbon.org   - against proprietary attachments